import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Button here.
 * 
 * @author David Osborne 
 * @version 23/10/08
 */
public class Button extends Actor
{
    String defaultImage;
    String clickImage;
    
    public static int numberOfAliens = 0;
    public static int numberOfRocks = 0;
    public static boolean survivalMode = false;
    
    /**
     * The strings should be pathnames to the image you want to be displayed 
     * most of the time, and the image that should be displayed when the button is being clicked.
     */
    public Button(String defaultImage, String clickImage){
        this.defaultImage = defaultImage;
        this.clickImage = clickImage;
    }
    
    /**
     * Sets an attribute named by the string.  It may be messy, but it's not as
     * bad as reflection.
     */
    public void setAttribute(int newAmount, String attribute){
        if (attribute.equalsIgnoreCase("aliens")){
            numberOfAliens = newAmount;
        }
        else if (attribute.equalsIgnoreCase("rocks")){
            numberOfRocks = newAmount;
        }
    }
    
    public void setAttribute(boolean newValue, String attribute){
        if (attribute.equalsIgnoreCase("survivalmode")){
            survivalMode = newValue;
        }
    }
    
    /**
     * Gets an attribute named by the string.  It may be messy, but it's not as
     * bad as reflection.
     */
    public static int getAttribute(String attribute){
        if (attribute.equalsIgnoreCase("aliens")){
            return numberOfAliens;
        }
        else if (attribute.equalsIgnoreCase("rocks")){
            return numberOfRocks;
        }
        else{
            return 0;
        }
    }
    
    public static boolean isSurvivalModeOn(){
            return survivalMode;
    }
    
        
    /**
     * This method should be called when the mouse button is being pressed 
     * on this button.
     */
    public void clicking(){
        setImage(clickImage);
    }
    
    /**
     * This method should be called when the button is clicked.  Override it!
     */
    public void clicked(){}
}
