import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.awt.Color;

/**
 * Labels just display a string.
 * 
 * @author David Osborne
 * @version 4/11/08
 */
public class Label extends Actor
{

    public Label(String label, int size) 
    {
        int stringLength = (label.length() + 2) * size;

        setImage(new GreenfootImage(stringLength, 24));
        GreenfootImage image = getImage();
        Font font = new Font("Lucida Sans Typewriter", 0, size);
        image.setFont(font);
        image.setColor(new Color(0, 109, 0));
        image.drawString(label, 1, 18);
    }
    
    public void setText(String newLabel){
        GreenfootImage image = getImage();
        image.clear();
        image.drawString(newLabel, 1, 18);
    }
}
