import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class MainMenu here.
 * 
 * @author David Osborne 
 * @version 4/11/08
 */
public class MainMenu extends Menu
{
    public MainMenu(){

        menuItems = new Actor[11];
        menuItems[0] = new UpButton("Aliens");
        menuItems[1] = new DownButton("Aliens");
        menuItems[2] = new Counter("ALIENS");
        
        menuItems[3] = new UpButton("Rocks");
        menuItems[4] = new DownButton("Rocks");
        menuItems[5] = new Counter("ROCKS");
        
        menuItems[6] = new TickBox("survivalmode");
        menuItems[7] = new Label("SURVIVAL MODE", 14);
        
        menuItems[8] = new RandomButton();
        menuItems[9] = new StartButton();
        menuItems[10] = new Logo();
    }
    
    protected void addedToWorld(World world){
        super.addedToWorld(world);
        world.addObject(menuItems[0], 240, 200);
        world.addObject(menuItems[1], 240, 240);
        world.addObject(menuItems[2], 360, 220);
        
        world.addObject(menuItems[3], 240, 300);
        world.addObject(menuItems[4], 240, 340);
        world.addObject(menuItems[5], 355, 320);
        
        world.addObject(menuItems[6], 40, 220);
        world.addObject(menuItems[7], 160, 219);
        
        world.addObject(menuItems[8], 320, 400);
        world.addObject(menuItems[9], 320, 440);
        world.addObject(menuItems[10], 320, 80);
    }
}
