import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Randomises the number of rocks and aliens.
 * 
 * @author David Osborne
 * @version 23/10/08
 */
public class RandomButton extends Button
{
    public RandomButton(){
        super("RandomBig32.png", "RandomSmall32.png");
    }
    
    public void clicked(){
        numberOfAliens = Greenfoot.getRandomNumber(4)+1;
        numberOfRocks = Greenfoot.getRandomNumber(6)+1;
        setImage(defaultImage);
        Greenfoot.playSound("click.wav");
    }
}
