import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Basically like StartButton
 * 
 * @author David Osborne
 * @version 3/11/08
 */
public class RestartButton extends Button
{

    public RestartButton(){
        super("RestartBig32.png", "RestartSmall32.png");
    }
    
    public void clicked(){
        GravityWorld world = (GravityWorld) getWorld();
        world.clearAll();
        world.populateLevel(numberOfAliens, numberOfRocks);
        Greenfoot.playSound("click.wav");
    }
    
}
