import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.lang.reflect.Method;

/**
 * Write a description of class UpButton here.
 * 
 * @author David Osborne
 * @version 23/10/08
 */
public class UpButton extends Button
{
   String toSet;
   
   /**
    * The string should be the name of the value that you want to change.
    * In this case, either "Aliens" or "Rocks".
    */
    public UpButton(String changes){
        super("UpBig32.png", "UpSmall32.png");
        toSet = changes;
    }
    
    public void clicked()
    {
        setAttribute(getAttribute(toSet)+1, toSet);
        setImage(defaultImage);
        Greenfoot.playSound("click.wav");
    }
        
}
