import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class DownButton here.
 * 
 * @author David Osborne
 * @version 23/10/08
 */
public class DownButton extends Button
{
    String toSet;
    
    /**
    * The string should be the name of the value that you want to change.
    * In this case, either "Aliens" or "Rocks".
    */
    public DownButton(String changes){
        super("DownBig32.png", "DownSmall32.png");
        toSet = changes;
    }
    
    public void clicked()
    {
        setAttribute(getAttribute(toSet)-1, toSet);
        setImage(defaultImage);
        Greenfoot.playSound("click.wav");
    }
}
