import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class EndMenu here.
 * 
 * @author David Osborne 
 * @version 4/11/08
 */
public class EndMenu extends Menu
{
    boolean extended;
    public EndMenu(boolean showingScore, boolean won){
        extended = showingScore;
        if (extended){
            menuItems = new Actor[4];
            menuItems[2] = new Label("Score: ", 14);
            menuItems[3] = new Label("00000", 14);
        }
        else{            
            menuItems = new Actor[3];
            if (won){
            menuItems[2] = new Label("Victory", 16);
        }
        else{
            menuItems[2] = new Label("Defeat", 16);
        }

        }
        menuItems[0] = new MainMenuButton();
        menuItems[1] = new RestartButton();
        
    }
    
    public void addedToWorld(World world){
        super.addedToWorld(world);
        if (extended){
            world.addObject(menuItems[2], 300, 180);
            world.addObject(menuItems[3], 360, 180);
            ((Label) menuItems[3]).setText(Integer.toString(((GravityWorld) getWorld()).
                                            getScorekeeper().getScore()));
        }     
        world.addObject(menuItems[0], 320, 220);
        world.addObject(menuItems[1], 320, 260);
        if (!extended){
            world.addObject(menuItems[2], 352, 160);
        }
    }
}
