import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
import java.util.ArrayList;

/**
 * Write a description of class Menu here.
 * 
 * @author David Osborne
 * @version 3/11/08
 */
public abstract class Menu extends Actor
{
    public Actor[] menuItems;
   
    public void act() 
    {   
        List<Button> buttons = new ArrayList();
        for (Actor item : menuItems){
            Class thing = item.getClass();
            if(item.getClass().getSuperclass() == Button.class){
                buttons.add((Button) item);
            }
        }
        for (Button button : buttons){
            if (Greenfoot.mousePressed(button)){
                button.clicking();
            }
            if (Greenfoot.mouseClicked(button)){
                button.clicked();
            }
        }
    }
    
    public void clear(){
        for(Actor item : menuItems){
            item.getWorld().removeObject(item);
        }
    }
}
