import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class TickBox here.
 * 
 * @author David Osborne
 * @version 4/11/08
 */
public class TickBox extends Button
{
        String toSet;
        boolean ticked;
        String UNTICKED_IMAGE = "Unticked16.png";
        String TICKED_IMAGE = "Ticked16.png";
        
        /**
         * The String should be the name of the value that you want to set.
         * In this case, "survivalMode".
         */
        public TickBox(String changes){
            super("Unticked16.png", "Ticked16.png");
            toSet = changes;
            setAttribute(ticked, toSet);
            setImage();
        }
        
        public void clicked(){
            if(ticked){
                ticked = false;
                setAttribute(false, toSet);
                setImage();
            }
            else{
                ticked = true;
                setAttribute(true, toSet);
                setImage();
            }
        }
            
        public void setImage(){
            if(ticked){
                setImage(TICKED_IMAGE);
            }
            else{
                setImage(UNTICKED_IMAGE);
            }
        }
        
        public void clicking(){} // do nothing
}
